:root {
    --pry-Bright-Blue: hsl(220, 98%, 61%);
    --pry-Check-Background: linear-gradient(to right, hsl(192, 100%, 67%), hsl(280, 87%, 65%));

    --Very-Light-Gray: hsl(0, 0%, 98%);
    --Very-Light-Grayish-Blue: hsl(236, 33%, 92%);
    --Light-Grayish-Blue: hsl(233, 11%, 84%);
    --Dark-Grayish-Blue: hsl(236, 9%, 61%);
    --Very-Dark-Grayish-Blue: hsl(235, 19%, 35%);

    --Very-Dark-Blue: hsl(235, 21%, 11%);
    --Very-Dark-Desaturated-Blue: hsl(235, 24%, 19%);
    --Light-Grayish-Blue: hsl(234, 39%, 85%);
    --Light-Grayish-Blue-hover: hsl(236, 33%, 92%);
    --Dark-Grayish-Blue: hsl(234, 11%, 52%);
    --Very-Dark-Grayish-Blue: hsl(233, 14%, 35%);
    --Very-Dark-Grayish-Blue: hsl(237, 14%, 26%);
}

:root.light-theme {
    --Very-Dark-Blue:  hsl(236, 33%, 92%);
    --Very-Dark-Desaturated-Blue: hsl(0, 0%, 98%);
    --Very-Dark-Grayish-Blue:  hsl(233, 11%, 84%);
}

*,
*::before,
*::after {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

body {
    font-family: "josefin sans", sans-serif;
    font-size: 18px;
    color: var(--Light-Grayish-Blue);
    background-color: var(--Very-Dark-Blue);
}

p {
    color: var(--Dark-Grayish-Blue);
}

button {
    appearance: none;
    -webkit-appearance: none;
    border: none;
    color: var(--Very-Dark-Grayish-Blue);
    background-color: transparent;
    cursor: pointer;
    font-family: inherit;
}



/*Header Styles*/

.banner {
    background-image: url(images/bg-mobile-dark.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 200px;
    display: flex;
    justify-content: center;
}

.banner > .banner-title {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    height: 200px;
    width: 90%;
    max-width: 600px;
    padding-top: 2em;
}

.banner h1 {
    text-transform: uppercase;
    letter-spacing: 10px;
    color: var(--Very-Light-Gray);
    width: 50%;
}

.banner > #dayggler {
    outline: 1px solid #fff;
    height: 30px;
}


/*Main Styles*/

main {
    background-color: var(--Very-Dark-Blue);
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
}

main > .wrapper {
    position: absolute;
    top: -100px;
    width: 90%;
    max-width: 600px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 2;
}

main #todo,
main ul,
main .task-info {
    width: 100%;
    background-color: var(--Very-Dark-Desaturated-Blue);
    border-radius: 5px;
    padding: 1em 1em;
}

main #todo,
main ul {
    margin-bottom: 1.5rem;
}

main ul {
    padding: 0;
}

main #todo {
    display: flex;
    justify-content: flex-start;
    gap: 20px;
    padding: 0.7em;
}

main #todo > input[type="text"] {
    appearance: none;
    -webkit-appearance: none;
    width: 70%;
    background-color: transparent;
    color: var(--Dark-Grayish-Blue);
    border: none;
    font-family: inherit;
    order: 2;
}

main #todo > button {
    appearance: none;
    -webkit-appearance: none;
    margin-left: 10px;
    padding: 0.5em;
    background-color: transparent;
    color: #fff;
    border: 1px solid var(--Very-Dark-Grayish-Blue);
}

main li {
    padding: 1em;
    border-bottom: 1px solid var(--Very-Dark-Grayish-Blue);
    display: flex;
    gap: 10px;
}

main li > span {
    align-self: flex-end;
}

main li > button {
    margin-left: auto;
}

main li > label {
    position: relative;
    width: 30px;
    cursor: pointer;
}

main li > label > input {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
}

main li > label > span {
    position: absolute;
    top: 0;
    left: 0;
    width: 25px;
    height: 25px;
    border: 1px solid var(--Very-Dark-Grayish-Blue);
    border-radius: 50%;
    background-color: transparent;
}

main li > label > span::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 5px;
    height: 10px;
    border: solid var(--Light-Grayish-Blue);
    transform: translate(-50%, -50%) rotate(45deg);
    border-width: 0 2px 2px 0;
    display: none;
}

main li > label > input:checked + span {
    background-image: var(--pry-Check-Background);
}

main li > label > input:checked + span::after {
    display: block;
}

main .task-info {
    display: flex;
    justify-content: center;
    gap: 20px;
}

main .task-info > button {
    color: var(--Dark-Grayish-Blue);
    font-weight: 600;
    font-size: 15px;
    transition: color 200ms ease;
}

main .task-info > button:hover {
    color: var(--Light-Grayish-Blue);
}

main .task-info > button:focus {
    color: var(--pry-Bright-Blue);
}

main > .were {
    position: absolute;
    bottom: 0;
    padding: 4em 0;
    font-size: 15px;
    z-index: 1;
}


/*Media queries*/
@media only screen and (min-width: 600px) {
    .banner {
        background-image: url(images/bg-desktop-dark.jpg);
    }

    main .task-info > button:first-of-type,
    main .task-info > button:last-of-type {
        margin-left: auto;
    }

}
